Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041302
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2019-07-06 01:152019-08-22 14:44
Reportercollazoandy4View Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revisioneb6dbfe69fd7
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041302: Apply HQL style guide to PaymentReportDao

DescriptionApply HQL style guide to PaymentReportDao
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 
related to defect 00411993.0PR19Q4 closedcollazoandy4 PaymentReportDao is not using bind-param 

-  Notes
(0113226)
collazoandy4 (developer)
2019-07-08 21:41

Test Plan
  Go to Payment Report window and export the report to excel and check the process ends without error
(0113431)
dmiguelez (developer)
2019-07-16 16:40

Fixed by commit: https://code.openbravo.com/erp/devel/pi/rev/eb6dbfe69fd7 [^]
(0113432)
dmiguelez (developer)
2019-07-16 16:40

Code Review + Testing Ok
(0113544)
hgbot (developer)
2019-07-19 09:45

Repository: erp/devel/pi
Changeset: 7ea164af68778b888f663d37ca4b0124aabbbc1f
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri Jul 19 09:40:52 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/7ea164af68778b888f663d37ca4b0124aabbbc1f [^]

Related to Issue 41302. Removed unnecessary .toString() calls.
If the variable is already a String it is not necessary to
call to the .toString() method.

---
M modules/org.openbravo.financial.paymentreport/src/org/openbravo/financial/paymentreport/erpCommon/ad_reports/PaymentReportDao.java
---
(0114166)
hudsonbot (developer)
2019-08-22 14:44

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-06 01:15 collazoandy4 New Issue
2019-07-06 01:15 collazoandy4 Assigned To => collazoandy4
2019-07-06 01:15 collazoandy4 Modules => Core
2019-07-06 01:15 collazoandy4 Triggers an Emergency Pack => No
2019-07-06 01:17 collazoandy4 Status new => scheduled
2019-07-06 01:18 collazoandy4 Relationship added related to 0041287
2019-07-08 21:41 collazoandy4 Note Added: 0113226
2019-07-11 15:11 Sandrahuguet Relationship added related to 0041199
2019-07-16 16:40 dmiguelez Note Added: 0113431
2019-07-16 16:40 dmiguelez Status scheduled => resolved
2019-07-16 16:40 dmiguelez Fixed in Version => 3.0PR19Q3
2019-07-16 16:40 dmiguelez Fixed in SCM revision => https://code.openbravo.com/erp/devel/pi/rev/eb6dbfe69fd7 [^]
2019-07-16 16:40 dmiguelez Resolution open => fixed
2019-07-16 16:40 dmiguelez Review Assigned To => dmiguelez
2019-07-16 16:40 dmiguelez Note Added: 0113432
2019-07-16 16:40 dmiguelez Status resolved => closed
2019-07-19 09:45 hgbot Checkin
2019-07-19 09:45 hgbot Note Added: 0113544
2019-08-22 14:44 hudsonbot Checkin
2019-08-22 14:44 hudsonbot Note Added: 0114166


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker